<!doctype html>
<html lang="en">
  <head>
    <title>Simplogotchi</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    
    <!-- CSS -->
    <link rel="stylesheet" href="dist/prod.css">
    <link rel="stylesheet" href="dist/animationGameViewer.css">
    <link rel="stylesheet" href="dist/animationHome.css">
    <link rel="stylesheet" href="dist/animationDead.css">

    <!-- FONT -->
    <link href="https://fonts.googleapis.com/css2?family=Contrail+One&display=swap" rel="stylesheet">

    <!-- BOOSTRAP CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
  </head>
  <body>

    <!-- NAVBAR -->
    <nav class="navbar d-flex flex-column flex-sm-row">
      <div class="d-flex align-items-center">
        <img src="assets/img/logoSimplon.png" alt="Logo Simplon">
        <h1 class="mt-2 ml-0 ml-sm-3 text-white" href="index.html">Simplogotchi</h1>
      </div>
      <div class="d-flex mt-2 mr-0 mr-sm-5 mx-auto ml-sm-auto">
        <button class="btn text-center text-sm-left text-white" onclick="guideMsgDisplay()">Guide de survie</button>
        <img src="assets/img/book.png" alt="Guide de survie">
      </div>
    </nav>

    <!-- HOME -->
    <div class="container-fluid mt-5 bgHome">
      <div class="container home">
        <div class="row">
          
          <!-- HOME CONTENT -->
          <div class="col-8 my-5 py-3 homeContent">
            <p>Une panama sauvage apparait !</p>
            <p>Vous n'avez pas encore reçu votre premier pokécode ...</p>
            <p>Gardez Panama de bonne humeur jusqu'au retour du Pr.Thomasso</p>
            <button class="btn px-3 py-2 mt-3 ml-5 homeButton">Let's go</button>
          </div>

          <!-- HOME IMG -->
          <div class="col-4 d-flex align-items-center justify-content-center my-5 py-3 homeImg">
            <img src="assets/img/dinosaurHome.png" alt="Panama sauvage">
          </div>
        </div>
      </div>
    </div>

    <!-- GAME -->
    <div class="container mt-3 game">
      <div class="row">

        <!-- GAME VIEWER -->
        <div class="col-12 col-lg-8">

          <!-- GAME BACKGROUND -->
          <img src="assets/img/background.jpg" class="img-fluid gameBg" alt="Ecran de jeu">

          <!-- GAME BUTTON -->
          <div class="d-flex flex-column mt-4 gameButton">

            <!-- BUTTON HEART -->
            <div class="d-flex justify-content-center justify-content-lg-start">
              <div>
                <img src="assets/img/heart.png" class="mr-2" alt="Amour">
              </div>
              <div class="progress">
                <div class="progressHeart" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100">
                  <span class="d-block mt-1 ml-3 progressRateHeart"></span>
                </div>
              </div>
              <button class="btn ml-2 buttonHeart">+</button>
            </div>

            <!-- BUTTON COFFEE -->
            <div class="d-flex justify-content-center justify-content-lg-start mt-2">
              <div>
                <img src="assets/img/coffee.png" class="mr-2" alt="Café">
              </div>
              <div class="progress">
                <div class="progressCoffee" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100">
                  <span class="d-block mt-1 ml-3 progressRateCoffee"></span>
                </div>
              </div>
              <button class="btn ml-2 buttonCoffee">+</button>
            </div>

            <!-- BUTTON CODE -->
            <div class="d-flex justify-content-center justify-content-lg-start mt-2">
              <div>
                <img src="assets/img/quote.png" class="mr-2" alt="Code">
              </div>
              <div class="progress">
                <div class="progressCode" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100">
                  <span class="d-block mt-1 ml-3 progressRateCode"></span>
                </div>
              </div>
              <button class="btn ml-2 buttonCode">+</button>
            </div>
          </div>
        </div>

        <!-- GAME VIEWER ALIVE ANIMATION IMG -->
        <img src="assets/img/walkSprites/walkSprite.png" alt="Panama" id="frame0">
        <img src="assets/img/walkSprites/walkSprite1.png" alt="Panama" id="frame1">
        <img src="assets/img/walkSprites/walkSprite2.png" alt="Panama" id="frame2">
        <img src="assets/img/walkSprites/walkSprite3.png" alt="Panama" id="frame3">
        <img src="assets/img/walkSprites/walkSprite4.png" alt="Panama" id="frame4">
        <img src="assets/img/walkSprites/walkSprite5.png" alt="Panama" id="frame5">

        <!-- GAME VIEWER DEAD ANIMATION IMG -->
        <img src="assets/img/ghost0.png" alt="Fantome" id="dead0">
        <img src="assets/img/ghost1.png" alt="Fantome" id="dead1">

        <!-- GAME TCHAT -->
        <div class="col-8 col-md-6 col-lg-4 mt-4 mt-lg-0 mx-auto gameTchat">
          <div class="d-flex flex-column align-items-center mt-2 gameProfil">
            <img src="assets/img/prChen.png" alt="Profil Panama">
            <p>Pr.Thomasso</p>
          </div>
          <div class="d-flex flex-column justify-content-end gameContent">

          </div>
          <input type="text" class="p-2 inputCommand" placeholder="Votre commande">
        </div>
      </div>
    </div>

    <!-- GUIDE CONTENT -->
    <div class="guideMsg">
      <div class="d-flex flex-column align-items-center text-center">
        <img src="assets/img/guideContent0.png" alt="Guide message 1">
        <p class="mt-1">Surveillez et occupez vous de Panama en utilisant les boutons +</p>
        <img src="assets/img/guideContent1.png"alt="Guide message 2">
        <p class="mt-1">Vous pouvez aussi utiliser le terminal</p>
        <p class="mt-1"><span class="commandTxt">/help</span> dans le terminal pour connaitre les commandes</p>
      </div>
    </div>

    <!-- ERREUR COMMAND CONTENT -->
    <div class="erreurMsg">
      <div class="d-flex flex-column">
        <p>Erreur, consultez les commandes avec <span class="commandTxt">/help</span></p>
      </div>
    </div>

    <!-- HELP COMMAND CONTENT -->
    <div class="helpMsg">
      <div class="d-flex flex-column">
        <p><span class="commandTxt">/love</span> pour donner de l'amour</p>
        <p><span class="commandTxt">/coffee</span> pour un apport en caffeine</p>
        <p><span class="commandTxt">/code</span> pour votre meilleur script Js</p>
      </div>
    </div>

    <!-- GAME OVER -->
    <div class="gameOver">
      <div class="d-flex flex-column align-items-center">
        <p class="mt-2">Game Over !</p>
        <p class="mt-2 newScore"></p>
        <p class="mt-2 lastScore"></p>
        <button class="btn px-3 py-2 my-2 gameOverButton">Play again</button>
      </div>
    </div>

    <!-- FOOTER -->
    <div class="d-flex justify-content-center mt-4 footer">
      <img src="assets/img/logoSimplonDinosaurFooter.png" alt="Simplon dinosaure">
    </div>
      
    <!-- JS -->
    <script src="assets/js/script.js"></script>

    <!-- jQuery FIRST, THEN Popper.js, THEN Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
  </body>
</html>